package com.dgtly.system.service;

import com.dgtly.system.domain.PeopInfo;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author dgtly
 * @date 2020-02-14
 */
public interface IPeopInfoService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public PeopInfo selectPeopInfoById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param peopInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<PeopInfo> selectPeopInfoList(PeopInfo peopInfo);

    /**
     * 新增【请填写功能名称】
     * 
     * @param peopInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertPeopInfo(PeopInfo peopInfo);

    /**
     * 修改【请填写功能名称】
     * 
     * @param peopInfo 【请填写功能名称】
     * @return 结果
     */
    public int updatePeopInfo(PeopInfo peopInfo);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deletePeopInfoByIds(String ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deletePeopInfoById(Long id);
}
